Перейти до вмісту
AstroWay/api v2.77.14 · docs
усі системи в нормі

Muhurat — Vehicle purchase

POST
/vedic/muhurat/vehicle-purchase
request.sh
curl -X POST https://api.astroway.info/v1/vedic/muhurat/vehicle-purchase \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "search_window_start": "2026-05-15", "search_window_end": "2026-06-15", "latitude": 28.61, "longitude": 77.21, "timezoneOffset": 5.5 }'

Auspicious-window scanner for buying a new vehicle. Preferred nakshatras: Ashwini/Pushya/Hasta/Chitra/Anuradha/Revati/U.Phalguni/U.Ashadha/U.Bhadrapada/Sravana. Avoid Sun/Sat. Same scoring shape as /vedic/muhurat/marriage.

Media type application/json
object
search_window_start required
string
/^\d{4}-\d{2}-\d{2}$/
search_window_end
string
/^\d{4}-\d{2}-\d{2}$/
latitude
number
0 nullable
longitude
number
0 nullable
timezoneOffset
number
0 nullable
ayanamsaId
number
nullable
topN
integer
default: 10 >= 1 <= 60
key additional
nullable
Example
{
"search_window_start": "2026-05-15",
"search_window_end": "2026-06-15",
"latitude": 28.61,
"longitude": 77.21,
"timezoneOffset": 5.5
}

Successful calculation

Media type application/json
object
ok
boolean
data
object
activity
string
auspiciousWindows
Array
Example
{
"ok": true
}

Validation error

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?